Bug 615850 - Review Request: oflb-roadstencil-fonts - Roadstencil Fonts
Summary: Review Request: oflb-roadstencil-fonts - Roadstencil Fonts
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 477449
TreeView+ depends on / blocked
 
Reported: 2010-07-19 05:40 UTC by Parag Nemade
Modified: 2010-07-22 05:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 05:33:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-07-19 05:40:27 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/oflb-roadstencil-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/oflb-roadstencil-fonts-1.0-9.fc13.src.rpm 
Description:
A rough font influenced by roadwork stencils

Comment 1 Ankur Sinha (FranciscoD) 2010-07-19 10:51:45 UTC
+ OK
? ISSUE
- NA

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
? Package has a correct %clean section.
? Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Please correct the ChangeLog, you have the version wrong

"1.001-9" ? extra zero ?

XX MUSTFIX XX

2. rpmlint output:


[Ankur@localhost SPECS]$ rpmlint oflb-roadstencil-fonts.spec ../SRPMS/oflb-roadstencil-fonts-1.0-9.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
oflb-roadstencil-fonts.spec: W: no-cleaning-of-buildroot %install
oflb-roadstencil-fonts.spec: W: no-cleaning-of-buildroot %clean
oflb-roadstencil-fonts.spec: W: no-buildroot-tag
oflb-roadstencil-fonts.spec: W: no-%clean-section
oflb-roadstencil-fonts.spec: W: invalid-url Source0: http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf HTTP Error 404: Not Found
oflb-roadstencil-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/andyfitz/237 HTTP Error 404: Not Found
oflb-roadstencil-fonts.src: W: no-cleaning-of-buildroot %install
oflb-roadstencil-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-roadstencil-fonts.src: W: no-buildroot-tag
oflb-roadstencil-fonts.src: W: no-%clean-section
oflb-roadstencil-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf HTTP Error 404: Not Found
oflb-roadstencil-fonts.noarch: W: incoherent-version-in-changelog 1.001-9 ['1.0-9.fc14', '1.0-9']
oflb-roadstencil-fonts.noarch: W: invalid-url URL: http://openfontlibrary.org/media/files/andyfitz/237 HTTP Error 404: Not Found
oflb-roadstencil-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/andyfitz/237 HTTP Error 404: Not Found
oflb-roadstencil-fonts.src: W: no-cleaning-of-buildroot %install
oflb-roadstencil-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-roadstencil-fonts.src: W: no-buildroot-tag
oflb-roadstencil-fonts.src: W: no-%clean-section
oflb-roadstencil-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 19 warnings.


Ignorable errors. URL error because of dead upstream.

Other than the version in the changelog, the package is OK. 

Please fix that before you create a CVS module & build for rawhide etc.

XXX APPROVED XXX

Comment 2 Parag Nemade 2010-07-21 03:37:38 UTC
Thanks for the review!

Fixed locally Changelog entry.

New Package CVS Request
=======================
Package Name: oflb-roadstencil-fonts
Short Description: Roadstencil Fonts
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig

Comment 3 Kevin Fenzi 2010-07-21 05:17:40 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Parag Nemade 2010-07-22 05:33:59 UTC
Thanks all. Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.